For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tracking Information (Carrier)

Endpoints to create, read, and act on the tracking information of a parcel.

Get all tracking information by parameters

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Retrieves all found tracking information using the passed search parameters.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
orderBystring · enumOptional

Ordering of the found tracking information.

Example: CREATED_ASCPossible values:
sizeintegerOptional

Amount of results of this call.

Example: 5
startAfterIdstringOptional

Used for pagination, return sorted results after this id.

Example: 2d19415f-a8e6-4480-aa7d-e72ad85716a2
withTotalbooleanOptional

Flag to specify if the result should include a sum of all possible found values for this filter.

Default: falseExample: true
facilityRefsstring[] · max: 20Optional

Possible facility refs to filter by

Example: c8fe61e3-ba3f-461e-bc14-8fc610ce4cc2
shippingInformationRefstringOptional

Connected shipping information ref to filter by

Example: 3d844fea-c9d0-4386-841c-d688cb205df3
Responses
200

Successfully retrieved all trackingInformation matching the given parameters.

application/json

TrackingInformationListResponse

totalCountintegerOptional

Total number of found tracking information for the given search parameters

Example: 42
get/api/trackinginformation
GET /api/trackinginformation HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "totalCount": 42,
  "trackingInformation": [
    {
      "carrierRef": "283554a4-1ba5-459b-9bf2-59bc9c68f60e",
      "carrierStatus": {
        "code": "SOME_CODE",
        "status": "SOME_VALUE"
      },
      "carrierStatusSet": "2020-02-03T08:45:50.525Z",
      "created": "2020-02-03T08:45:50.525Z",
      "facilityRef": "f7fcd0a1-d269-42d9-8322-ba8f354ca6a0",
      "id": "d7058a3c-e57d-45dc-b024-e1725bb09541",
      "labelRef": "3b06b80c-55ae-4e0e-af1d-8843d901e9ed",
      "labelUrl": "https://www.example.com/label.pdf",
      "lastModified": "2020-02-03T08:45:50.525Z",
      "shippingInformationRef": "9d88d014-5627-4f01-96fe-80c5621d268d",
      "status": "IN_PROGRESS",
      "trackingHistory": [
        {
          "carrierStatus": "CA_DELIVERY",
          "carrierStatusSet": "2020-02-03T08:45:50.525Z",
          "id": "066960e1-630c-4b13-b0b5-58d537190107",
          "status": "DELIVERED",
          "statusSet": "2020-02-03T08:45:50.525Z"
        }
      ],
      "trackingNumber": "000123456",
      "trackingStatus": "DELIVERED",
      "trackingStatusSet": "2020-02-03T08:45:50.525Z",
      "trackingUrl": "https://www.example.com/tracking:000123456",
      "type": "RETURN",
      "version": 42
    }
  ]
}

Create a tracking information

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Creates a new tracking information.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

TrackingInformationForCreation

carrierRefstring · min: 1Required

Reference to the connected carrier

Example: 283554a4-1ba5-459b-9bf2-59bc9c68f60e
labelRefstring · min: 1Optional

Reference to the connected label

Example: 3b06b80c-55ae-4e0e-af1d-8843d901e9ed
labelUrlstring · min: 1Required

The URL to the label for this tracking information.

Example: https://www.example.com/label.pdf
shippingInformationRefstring · min: 1Required

Reference to the connected shipping information

Example: 9d88d014-5627-4f01-96fe-80c5621d268d
trackingNumberstring · min: 1Required

Tracking number of the connected label

Example: 000123456
trackingUrlstring · min: 1Required

Url to the tracking page of the given carrier and tracking number

Example: https://www.example.com/tracking:000123456
typestring · enumRequired

Type of this tracking information

Example: RETURNPossible values:
Responses
201

Successfully created the trackingInformation.

application/json

TrackingInformation

carrierRefstring · min: 1Required

Reference to the connected carrier

Example: 283554a4-1ba5-459b-9bf2-59bc9c68f60e
carrierStatusany ofRequired

Status of the latest tracking information event status.

Example: {"code":"SOME_CODE","status":"SOME_VALUE"}
stringOptional
or
objectOptional
carrierStatusSetstring · date-timeOptional

Creation timestamp of the latest tracking information event status.

Example: 2020-02-03T08:45:50.525Z
createdstring · date-timeRequired

Creation date of this tracking information

Example: 2020-02-03T08:45:50.525Z
facilityRefstringRequired

Reference to the connected facility ref via the connected shipping information

Example: f7fcd0a1-d269-42d9-8322-ba8f354ca6a0
idstringRequired

Unique identifier of this tracking information

Example: d7058a3c-e57d-45dc-b024-e1725bb09541
labelRefstring · min: 1Optional

Reference to the connected label

Example: 3b06b80c-55ae-4e0e-af1d-8843d901e9ed
labelUrlstring · min: 1Required

The URL to the label for this tracking information.

Example: https://www.example.com/label.pdf
lastModifiedstring · date-timeRequired

Last modification date of this tracking information

Example: 2020-02-03T08:45:50.525Z
shippingInformationRefstring · min: 1Required

Reference to the connected shipping information

Example: 9d88d014-5627-4f01-96fe-80c5621d268d
statusstring · enumRequired

Status of the tracking information entity. Will either be set by the workflow or calculated from the event history.

Example: IN_PROGRESSPossible values:
trackingNumberstring · min: 1Required

Tracking number of the connected label

Example: 000123456
trackingStatusstring · enumRequired

Latest tracking information event status. Based on the found tracking event history.

Example: DELIVEREDPossible values:
trackingStatusSetstring · date-timeRequired

Creation timestamp of the latest tracking information event.

Example: 2020-02-03T08:45:50.525Z
trackingUrlstring · min: 1Required

Url to the tracking page of the given carrier and tracking number

Example: https://www.example.com/tracking:000123456
typestring · enumRequired

Type of this tracking information

Example: RETURNPossible values:
versionintegerRequired

Version number of this tracking information

Example: 42
post/api/trackinginformation
POST /api/trackinginformation HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 476

{
  "carrierRef": "283554a4-1ba5-459b-9bf2-59bc9c68f60e",
  "labelRef": "3b06b80c-55ae-4e0e-af1d-8843d901e9ed",
  "labelUrl": "https://www.example.com/label.pdf",
  "shippingInformationRef": "9d88d014-5627-4f01-96fe-80c5621d268d",
  "trackingHistory": [
    {
      "carrierStatus": "CA_DELIVERY",
      "carrierStatusSet": "2020-02-03T08:45:50.525Z",
      "status": "DELIVERED",
      "statusSet": "2020-02-03T08:45:50.525Z"
    }
  ],
  "trackingNumber": "000123456",
  "trackingUrl": "https://www.example.com/tracking:000123456",
  "type": "RETURN"
}
{
  "carrierRef": "283554a4-1ba5-459b-9bf2-59bc9c68f60e",
  "carrierStatus": {
    "code": "SOME_CODE",
    "status": "SOME_VALUE"
  },
  "carrierStatusSet": "2020-02-03T08:45:50.525Z",
  "created": "2020-02-03T08:45:50.525Z",
  "facilityRef": "f7fcd0a1-d269-42d9-8322-ba8f354ca6a0",
  "id": "d7058a3c-e57d-45dc-b024-e1725bb09541",
  "labelRef": "3b06b80c-55ae-4e0e-af1d-8843d901e9ed",
  "labelUrl": "https://www.example.com/label.pdf",
  "lastModified": "2020-02-03T08:45:50.525Z",
  "shippingInformationRef": "9d88d014-5627-4f01-96fe-80c5621d268d",
  "status": "IN_PROGRESS",
  "trackingHistory": [
    {
      "carrierStatus": "CA_DELIVERY",
      "carrierStatusSet": "2020-02-03T08:45:50.525Z",
      "id": "066960e1-630c-4b13-b0b5-58d537190107",
      "status": "DELIVERED",
      "statusSet": "2020-02-03T08:45:50.525Z"
    }
  ],
  "trackingNumber": "000123456",
  "trackingStatus": "DELIVERED",
  "trackingStatusSet": "2020-02-03T08:45:50.525Z",
  "trackingUrl": "https://www.example.com/tracking:000123456",
  "type": "RETURN",
  "version": 42
}

Get a tracking information by its ID

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Retrieves a single tracking information using its unique identifier.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
trackingInformationIdstringRequired
Responses
200

Successfully retrieved the trackingInformation.

application/json

TrackingInformation

carrierRefstring · min: 1Required

Reference to the connected carrier

Example: 283554a4-1ba5-459b-9bf2-59bc9c68f60e
carrierStatusany ofRequired

Status of the latest tracking information event status.

Example: {"code":"SOME_CODE","status":"SOME_VALUE"}
stringOptional
or
objectOptional
carrierStatusSetstring · date-timeOptional

Creation timestamp of the latest tracking information event status.

Example: 2020-02-03T08:45:50.525Z
createdstring · date-timeRequired

Creation date of this tracking information

Example: 2020-02-03T08:45:50.525Z
facilityRefstringRequired

Reference to the connected facility ref via the connected shipping information

Example: f7fcd0a1-d269-42d9-8322-ba8f354ca6a0
idstringRequired

Unique identifier of this tracking information

Example: d7058a3c-e57d-45dc-b024-e1725bb09541
labelRefstring · min: 1Optional

Reference to the connected label

Example: 3b06b80c-55ae-4e0e-af1d-8843d901e9ed
labelUrlstring · min: 1Required

The URL to the label for this tracking information.

Example: https://www.example.com/label.pdf
lastModifiedstring · date-timeRequired

Last modification date of this tracking information

Example: 2020-02-03T08:45:50.525Z
shippingInformationRefstring · min: 1Required

Reference to the connected shipping information

Example: 9d88d014-5627-4f01-96fe-80c5621d268d
statusstring · enumRequired

Status of the tracking information entity. Will either be set by the workflow or calculated from the event history.

Example: IN_PROGRESSPossible values:
trackingNumberstring · min: 1Required

Tracking number of the connected label

Example: 000123456
trackingStatusstring · enumRequired

Latest tracking information event status. Based on the found tracking event history.

Example: DELIVEREDPossible values:
trackingStatusSetstring · date-timeRequired

Creation timestamp of the latest tracking information event.

Example: 2020-02-03T08:45:50.525Z
trackingUrlstring · min: 1Required

Url to the tracking page of the given carrier and tracking number

Example: https://www.example.com/tracking:000123456
typestring · enumRequired

Type of this tracking information

Example: RETURNPossible values:
versionintegerRequired

Version number of this tracking information

Example: 42
get/api/trackinginformation/{trackingInformationId}
GET /api/trackinginformation/{trackingInformationId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "carrierRef": "283554a4-1ba5-459b-9bf2-59bc9c68f60e",
  "carrierStatus": {
    "code": "SOME_CODE",
    "status": "SOME_VALUE"
  },
  "carrierStatusSet": "2020-02-03T08:45:50.525Z",
  "created": "2020-02-03T08:45:50.525Z",
  "facilityRef": "f7fcd0a1-d269-42d9-8322-ba8f354ca6a0",
  "id": "d7058a3c-e57d-45dc-b024-e1725bb09541",
  "labelRef": "3b06b80c-55ae-4e0e-af1d-8843d901e9ed",
  "labelUrl": "https://www.example.com/label.pdf",
  "lastModified": "2020-02-03T08:45:50.525Z",
  "shippingInformationRef": "9d88d014-5627-4f01-96fe-80c5621d268d",
  "status": "IN_PROGRESS",
  "trackingHistory": [
    {
      "carrierStatus": "CA_DELIVERY",
      "carrierStatusSet": "2020-02-03T08:45:50.525Z",
      "id": "066960e1-630c-4b13-b0b5-58d537190107",
      "status": "DELIVERED",
      "statusSet": "2020-02-03T08:45:50.525Z"
    }
  ],
  "trackingNumber": "000123456",
  "trackingStatus": "DELIVERED",
  "trackingStatusSet": "2020-02-03T08:45:50.525Z",
  "trackingUrl": "https://www.example.com/tracking:000123456",
  "type": "RETURN",
  "version": 42
}

handle tracking information action

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Handle Action on an existing tracking information.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
trackingInformationIdstringRequired
Body
or
Responses
200

Successfully handled the action on the tracking information.

application/json

TrackingInformation

carrierRefstring · min: 1Required

Reference to the connected carrier

Example: 283554a4-1ba5-459b-9bf2-59bc9c68f60e
carrierStatusany ofRequired

Status of the latest tracking information event status.

Example: {"code":"SOME_CODE","status":"SOME_VALUE"}
stringOptional
or
objectOptional
carrierStatusSetstring · date-timeOptional

Creation timestamp of the latest tracking information event status.

Example: 2020-02-03T08:45:50.525Z
createdstring · date-timeRequired

Creation date of this tracking information

Example: 2020-02-03T08:45:50.525Z
facilityRefstringRequired

Reference to the connected facility ref via the connected shipping information

Example: f7fcd0a1-d269-42d9-8322-ba8f354ca6a0
idstringRequired

Unique identifier of this tracking information

Example: d7058a3c-e57d-45dc-b024-e1725bb09541
labelRefstring · min: 1Optional

Reference to the connected label

Example: 3b06b80c-55ae-4e0e-af1d-8843d901e9ed
labelUrlstring · min: 1Required

The URL to the label for this tracking information.

Example: https://www.example.com/label.pdf
lastModifiedstring · date-timeRequired

Last modification date of this tracking information

Example: 2020-02-03T08:45:50.525Z
shippingInformationRefstring · min: 1Required

Reference to the connected shipping information

Example: 9d88d014-5627-4f01-96fe-80c5621d268d
statusstring · enumRequired

Status of the tracking information entity. Will either be set by the workflow or calculated from the event history.

Example: IN_PROGRESSPossible values:
trackingNumberstring · min: 1Required

Tracking number of the connected label

Example: 000123456
trackingStatusstring · enumRequired

Latest tracking information event status. Based on the found tracking event history.

Example: DELIVEREDPossible values:
trackingStatusSetstring · date-timeRequired

Creation timestamp of the latest tracking information event.

Example: 2020-02-03T08:45:50.525Z
trackingUrlstring · min: 1Required

Url to the tracking page of the given carrier and tracking number

Example: https://www.example.com/tracking:000123456
typestring · enumRequired

Type of this tracking information

Example: RETURNPossible values:
versionintegerRequired

Version number of this tracking information

Example: 42
post/api/trackinginformation/{trackingInformationId}/actions
POST /api/trackinginformation/{trackingInformationId}/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 199

{
  "name": "ADD_TRACKING_EVENTS",
  "trackingEvents": [
    {
      "carrierStatus": "CA_DELIVERY",
      "carrierStatusSet": "2020-02-03T08:45:50.525Z",
      "status": "DELIVERED",
      "statusSet": "2020-02-03T08:45:50.525Z"
    }
  ],
  "version": 2
}
{
  "carrierRef": "283554a4-1ba5-459b-9bf2-59bc9c68f60e",
  "carrierStatus": {
    "code": "SOME_CODE",
    "status": "SOME_VALUE"
  },
  "carrierStatusSet": "2020-02-03T08:45:50.525Z",
  "created": "2020-02-03T08:45:50.525Z",
  "facilityRef": "f7fcd0a1-d269-42d9-8322-ba8f354ca6a0",
  "id": "d7058a3c-e57d-45dc-b024-e1725bb09541",
  "labelRef": "3b06b80c-55ae-4e0e-af1d-8843d901e9ed",
  "labelUrl": "https://www.example.com/label.pdf",
  "lastModified": "2020-02-03T08:45:50.525Z",
  "shippingInformationRef": "9d88d014-5627-4f01-96fe-80c5621d268d",
  "status": "IN_PROGRESS",
  "trackingHistory": [
    {
      "carrierStatus": "CA_DELIVERY",
      "carrierStatusSet": "2020-02-03T08:45:50.525Z",
      "id": "066960e1-630c-4b13-b0b5-58d537190107",
      "status": "DELIVERED",
      "statusSet": "2020-02-03T08:45:50.525Z"
    }
  ],
  "trackingNumber": "000123456",
  "trackingStatus": "DELIVERED",
  "trackingStatusSet": "2020-02-03T08:45:50.525Z",
  "trackingUrl": "https://www.example.com/tracking:000123456",
  "type": "RETURN",
  "version": 42
}

List tracking information (search)

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Search for TrackingInformation

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

TrackingInformationSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

Example: 10
startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
200

Your search result

application/json

TrackingInformationPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post/api/trackinginformation/search
POST /api/trackinginformation/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 4207

{
  "after": "text",
  "before": "text",
  "last": 1,
  "options": {
    "withTotal": true
  },
  "query": {
    "and": [
      {
        "and": [
          {
            "and": "[Circular Reference]",
            "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "created": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "labelRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "lastModified": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "or": "[Circular Reference]",
            "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "trackingNumber": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            }
          }
        ],
        "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "created": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "labelRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "lastModified": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "or": [
          {
            "and": "[Circular Reference]",
            "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "created": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "labelRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "lastModified": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "or": "[Circular Reference]",
            "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "trackingNumber": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            }
          }
        ],
        "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "trackingNumber": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        }
      }
    ],
    "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "created": {
      "after": "text",
      "before": "text",
      "eq": "2026-01-01T00:00:00.000Z",
      "gt": "2026-01-01T00:00:00.000Z",
      "gte": "2026-01-01T00:00:00.000Z",
      "lt": "2026-01-01T00:00:00.000Z",
      "lte": "2026-01-01T00:00:00.000Z",
      "notEq": "2026-01-01T00:00:00.000Z"
    },
    "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "labelRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "lastModified": {
      "after": "text",
      "before": "text",
      "eq": "2026-01-01T00:00:00.000Z",
      "gt": "2026-01-01T00:00:00.000Z",
      "gte": "2026-01-01T00:00:00.000Z",
      "lt": "2026-01-01T00:00:00.000Z",
      "lte": "2026-01-01T00:00:00.000Z",
      "notEq": "2026-01-01T00:00:00.000Z"
    },
    "or": [
      {
        "and": "[Circular Reference]",
        "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "created": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "labelRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "lastModified": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "or": "[Circular Reference]",
        "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "trackingNumber": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        }
      }
    ],
    "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "trackingNumber": {
      "eq": "text",
      "in": [
        "text"
      ],
      "notEq": "text",
      "notIn": [
        "text"
      ]
    }
  },
  "size": 10,
  "sort": [
    {
      "created": "ASC",
      "lastModified": "ASC"
    }
  ]
}
{
  "pageInfo": {
    "endCursor": "text",
    "hasNextPage": true,
    "hasPreviousPage": true,
    "startCursor": "text"
  },
  "total": 1,
  "trackingInformations": [
    {
      "carrierRef": "283554a4-1ba5-459b-9bf2-59bc9c68f60e",
      "carrierStatus": {
        "code": "SOME_CODE",
        "status": "SOME_VALUE"
      },
      "carrierStatusSet": "2020-02-03T08:45:50.525Z",
      "created": "2020-02-03T08:45:50.525Z",
      "facilityRef": "f7fcd0a1-d269-42d9-8322-ba8f354ca6a0",
      "id": "d7058a3c-e57d-45dc-b024-e1725bb09541",
      "labelRef": "3b06b80c-55ae-4e0e-af1d-8843d901e9ed",
      "labelUrl": "https://www.example.com/label.pdf",
      "lastModified": "2020-02-03T08:45:50.525Z",
      "shippingInformationRef": "9d88d014-5627-4f01-96fe-80c5621d268d",
      "status": "IN_PROGRESS",
      "trackingHistory": [
        {
          "carrierStatus": "CA_DELIVERY",
          "carrierStatusSet": "2020-02-03T08:45:50.525Z",
          "id": "066960e1-630c-4b13-b0b5-58d537190107",
          "status": "DELIVERED",
          "statusSet": "2020-02-03T08:45:50.525Z"
        }
      ],
      "trackingNumber": "000123456",
      "trackingStatus": "DELIVERED",
      "trackingStatusSet": "2020-02-03T08:45:50.525Z",
      "trackingUrl": "https://www.example.com/tracking:000123456",
      "type": "RETURN",
      "version": 42
    }
  ]
}

Last updated

Was this helpful?